diff --git a/web/pgadmin/browser/server_groups/servers/ppas.py b/web/pgadmin/browser/server_groups/servers/ppas.py
index 56f9322a5..407fa80ce 100644
--- a/web/pgadmin/browser/server_groups/servers/ppas.py
+++ b/web/pgadmin/browser/server_groups/servers/ppas.py
@@ -16,6 +16,7 @@ class PPAS(ServerType):
     UTILITY_PATH_HELP = gettext(
         "Path to the directory containing the EDB Advanced Server utility"
         " programs (pg_dump, pg_restore etc)."
+        "<br/><b>Note</b>: Don't add quote(s) or space(s) before or after the path."
     )
 
     def instanceOf(self, ver):
diff --git a/web/pgadmin/browser/server_groups/servers/types.py b/web/pgadmin/browser/server_groups/servers/types.py
index b85fd3a39..932324ca2 100644
--- a/web/pgadmin/browser/server_groups/servers/types.py
+++ b/web/pgadmin/browser/server_groups/servers/types.py
@@ -29,6 +29,7 @@ class ServerType(object):
     UTILITY_PATH_HELP = _(
         "Path to the directory containing the PostgreSQL utility programs"
         " (pg_dump, pg_restore etc)."
+        "<br/><b>Note</b>: Don't add quote(s) or space(s) before or after the path."
     )
 
     def __init__(self, server_type, description, priority):
diff --git a/web/pgadmin/help/__init__.py b/web/pgadmin/help/__init__.py
index cab7a0394..2f2314c3e 100644
--- a/web/pgadmin/help/__init__.py
+++ b/web/pgadmin/help/__init__.py
@@ -89,7 +89,9 @@ class HelpModule(PgAdminModule):
             'http://www.postgresql.org/docs/$VERSION$/static/',
             category_label=gettext('Help'),
             help_str=gettext(
-                'Path to the PostgreSQL documentation. $VERSION$ will be replaced with the major.minor version number.')
+                'Path to the PostgreSQL documentation. $VERSION$ will be replaced with the major.minor version number.'
+                '<br/><b>Note</b>: Don\'t add quote(s) or space(s) before or after the path.'
+            )
         )
 
         self.edbas_help_path = self.help_preference.register(
@@ -98,7 +100,9 @@ class HelpModule(PgAdminModule):
             'http://www.enterprisedb.com/docs/en/$VERSION$/pg/',
             category_label=gettext('Help'),
             help_str=gettext(
-                'Path to the EDB Advanced Server documentation. $VERSION$ will be replaced with the major.minor version number.')
+                'Path to the EDB Advanced Server documentation. $VERSION$ will be replaced with the major.minor version number.'
+                '<br/><b>Note</b>: Don\'t add quote(s) or space(s) before or after the path.'
+            )
         )
 
     def get_exposed_url_endpoints(self):
diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index 843ec6190..b12e09777 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -172,7 +172,10 @@ class FileManagerModule(PgAdminModule):
         self.last_directory_visited = self.preference.register(
             'options', 'last_directory_visited',
             gettext("Last directory visited"), 'text', '/',
-            category_label=gettext('Options')
+            category_label=gettext('Options'),
+            help_str=gettext(
+                '<b>Note</b>: Don\'t add quote(s) or space(s) before or after the path.'
+            )
         )
         self.file_dialog_view = self.preference.register(
             'options', 'file_dialog_view',
diff --git a/web/pgadmin/preferences/__init__.py b/web/pgadmin/preferences/__init__.py
index e3af7d03c..efc4e73ab 100644
--- a/web/pgadmin/preferences/__init__.py
+++ b/web/pgadmin/preferences/__init__.py
@@ -171,7 +171,7 @@ def save(pid):
     """
     data = request.form if request.form else json.loads(request.data.decode())
 
-    res, msg = Preferences.save(data['mid'], data['cid'], data['id'], data['value'])
+    res, msg = Preferences.save(data['mid'], data['cid'], data['id'], str(data['value']).strip())
 
     if not res:
         return internal_server_error(errormsg=msg)
